package com.pcloud.book.group.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/7/25 16:29
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BookGroupStatisticsDTO implements Serializable {

    /**
     * 群分类数
     */
    private Long classifyCount;

    /**
     * 微信群数
     */
    private Long wxGroupCount;

    /**
     * 当前群人数
     */
    private Long groupPersonNum;

    /**
     * 推广应用次数
     */
    private Long promAppCount;

    /**
     * 推广作品次数
     */
    private Long promProductCount;



    public Long getClassifyCount() {
        return classifyCount;
    }

    public void setClassifyCount(Long classifyCount) {
        this.classifyCount = classifyCount;
    }

    public Long getWxGroupCount() {
        return wxGroupCount;
    }

    public void setWxGroupCount(Long wxGroupCount) {
        this.wxGroupCount = wxGroupCount;
    }

    public Long getGroupPersonNum() {
        return groupPersonNum;
    }

    public void setGroupPersonNum(Long groupPersonNum) {
        this.groupPersonNum = groupPersonNum;
    }

    public Long getPromAppCount() {
        return promAppCount;
    }

    public void setPromAppCount(Long promAppCount) {
        this.promAppCount = promAppCount;
    }

    public Long getPromProductCount() {
        return promProductCount;
    }

    public void setPromProductCount(Long promProductCount) {
        this.promProductCount = promProductCount;
    }

    @Override
    public String toString() {
        return "BookGroupStatisticsDTO{" +
                "classifyCount=" + classifyCount +
                ", wxGroupCount=" + wxGroupCount +
                ", groupPersonNum=" + groupPersonNum +
                ", promAppCount=" + promAppCount +
                ", promProductCount=" + promProductCount +
                '}';
    }
}